Modify

Opened 7 years ago

Closed 6 years ago

Last modified 4 years ago

#9848 closed defect (fixed)

Miniupnp should depend on libiptc

Reported by: Luiz Angelo Daros de Luca <luizluca@…> Owned by: developers
Priority: highest Milestone: Chaos Calmer 15.05
Component: packages Version: Backfire 10.03.1 RC5
Keywords: Cc:

Description

Hello,

My miniupnpd didn't worked after I installed backfire (RC6 from svn). I created the image using:

make image PROFILE=TLWR740NV1 PACKAGES="luci-i18n-portuguese_brazilian ip6tables libiwinfo wpad-mini luci-app-wol luci-theme-openwrt uhttpd wol netstat-nat ifstat luci-theme-base luci-app-initmgr luci-app-ntpc luci-app-qos luci-app-upnp luci-app-firewall luci-app-ddns kmod-input-polldev -ppp -ppp-mod-pppoe aiccu radvd ddns-scripts "

And when I flashed it, miniupnpd failed because it missed a lib. After installing it, it worked.

root@router:/etc/config# miniupnpd
miniupnpd: can't load library 'libiptc.so.0'
root@router:/etc/config# opkg install /tmp/libiptc_1.4.6- 3_ar71xx.ipk
Installing libiptc (1.4.6-3) to root...
Configuring libiptc.
root@router:/etc/config# miniupnpd
Usage:
(now it works...)

Please, add libiptc as a dependecy for miniupnpd.

Attachments (0)

Change History (2)

comment:1 Changed 6 years ago by nbd

  • Resolution set to fixed
  • Status changed from new to closed

fixed in trunk

comment:2 Changed 4 years ago by jow

  • Milestone changed from Backfire 10.03.2 to Chaos Calmer (trunk)

Milestone Backfire 10.03.2 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.